Subject: RE: [Isis-wg] IS-IS MIB

From: "Manral, Vishwas" <[email-masked]>
Date: Wed, 29 May 2002 08:40:48 -0400

Jeff, 

A couple of comments inline prefixed by a "VM>".

-----Original Message-----
From: Jeff Parker [mailto:[email-masked]]
Sent: Friday, May 24, 2002 11:30 PM
To: 'Joyal, Daniel R (Daniel)'; Jeff Parker
Cc: IS-IS-WG (E-mail)
Subject: RE: [Isis-wg] IS-IS MIB

> >	An agent may not be able to satisfy a get request
> >for the LSA object?  Is this due to a small SNMP buffer 
> >size and the lack of a defined way to fragment payload?
> 
> Yes.

> One thought is to define L1 and L2 LSP Header tables
> indexed by LSPID. These tables would contain only LSP header
> information in small, fixed-sized objects and provide a 
> summary of the LSP
> database. I think this, by itself, is useful. 

An index of the 8 byte LSPID and the sequence number 
should do the trick.  The sequence number addresses
the issue you raise below in almost all cases.  (the
corner case is when a router reboots, and issues
a new version of an LSP that is still in circulation.
This is a transitory event) 
VM> Maybe the remaining lifetime could be given too. Remaining lifetime is
used to identify an instance too, one with 0 Remaininglifetime and one
without are different instances.

> For viewing the contents of LSPs, a second set of tables is 
> defined which
> contains, as row entries, the TLVs belonging to an LSP. If TLV
> order is not important, the table index could be LSPID, TLV 
> Type, Index
> where Index is the instance of the TLV type in the LSP. 
> 
> TLV entries should be manageable by SNMP. The drawback is that
> you don't get a snapshot of the complete LSP contents in one 
> SNMP request,
> so it is possible that the collection of TLVs returned reflect some
> transitional state between an old and new LSP instance.
> Does this scheme sound reasonable?
> 
> -Dan

I'm uncomfortable with splitting an LSP into unordered
components, though I don't have a compelling argument.

VM> May be we could have a count of individual TLV's too, which would be
equivalent to the number of lsa's of each type. This could help in knowing
how many prefixes etc have been injected from other domain/other areas etc.

Thanks,
Vishwas
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://spider.juniper.net/mailman/listinfo/isis-wg